<?php // $Id: data.php,v 1.48 2004/12/15 18:12:09 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

// Unterstuetzte Datenbanksysteme
$apx_dbsystems = array(
    0 => array( 'odbc',     _( 'Microsoft Access ODBC database' ) ),
    1 => array( 'mysqli',   _( 'MySQL server database' ) ),
    2 => array( 'pgsql',    _( 'PostgreSQL server database (not supported yet)' ) )
    );

// Alternativen fuer Applanix-Startseite
$apx_std_homepages = array(
    0 =>  array( _( 'Reservation table' ),          'plan'          ),
    1 =>  array( _( 'Customer file' ),              'customerdb'    ),
    2 =>  array( _( 'Booking file' ),               'bookingdb'     ),
    3 =>  array( _( 'Date file' ),                  'datedb'        ),
    4 =>  array( _( 'Search for customers' ),       'search'        ),
    5 =>  array( _( 'Add new customer' ),           'entry&do=i'    ),
    6 =>  array( _( 'Directory of e-mail addresses' ), 'emaillist'     ),
    7 =>  array( _( 'Add new date' ),               'date&do=i'     ),
    8 =>  array( _( 'Add new booking' ),            'booking&do=i'  ),
    9 =>  array( _( 'Customers to arrive soon, etc.' ), 'nextcustomers' ),
    10 => array( _( 'applanix homepage (default)' ), 'logostart'     ),
    11 => array( _( 'Report customer as guest' ),   'guestreg'      ),
    12 => array( _( 'Search for vacant rooms' ),    'searchfree'    ),
    13 => array( _( 'System administration' ),      'adminmenu'     ),
    14 => array( _( 'Compose inquiry' ),            'inquiry'       )
    );

// Typen von Applanix-Benutzern
$apx_usertypes = array(
    0 => array( "root",    _( 'mg.applanix - root administrator' ) ),
    1 => array( "admin",   _( 'mg.applanix - administrator' ) ),
    2 => array( "user",    _( 'mg.applanix - power user' ) ),
    3 => array( "view",    _( 'mg.applanix - view user' ) ),
    4 => array( "guest",   _( 'Customer access - report form' ) ),
    5 => array( "webplan", _( 'Access to the internet occupancy plan' ) )
    );

// Typen von Raeumen, Mietobjekten
$apx_objecttypes = array(
    _( "Not specified" ), _( "Appartement house" ), _( "Holiday house" ),
    _( "Bungalow" ), _( "Hotel" ), _( "Bed & Breakfast" ),
    _( "Cottage/Shack" ), _( "Alp" ), _( "Weekend house" ),
    _( "Camping ground" ), _( "Castle" ), _( "Palace" ), _( "Zoo" ),
    _( "Holiday residence" ), _( "Housing estate" ), _( "Terraced houses" )
    );

$apx_roomtypes = array(
    _( "Not specified" ), _( "Appartement" ), _( "Room" ),
    _( "Suite" ), _( "Room with mattresses" ), _( "Conference room" ),
    _( "Seminar/class room" ), _( "Hall" ), _( "Lot of land at the campsite" ),
    _( "Workroom" ), _( "Practice" ), _( "Cage in a zoo" ),
    _( "Bungalow" ), _( "Terraced house" )
    );

$apx_labelformats = array(
    "zweckform3474" => _( "DIN A4, 34x70mm, 3x8 / Zweckform 3474" ),
    "other"         => _( "Other" )
    );

/* booking providers for statistics and import/export */
/* format: id, name, service url */
$apx_bookingsproviders = array(
	0 => array( _( 'none' ), 			'' ),
	1 => array( _( 'Own Homepage' ), 	$apx_user_url ),
	2 => array( 'Tiscover', 			'http://www.tiscover.com' ),
	3 => array( 'Feratel', 				'http://www.feratel.at' ),
	4 => array( 'Hotnet', 				'http://www.hotnet.it' ),
	5 => array( 'Winterfocus', 			'http://www.winterfocus.com' )
);

// Haupt-/Subtypen von Saisonen
$apx_season_maintypes = array( _( "Summerseason" ), _( "Winterseason" ), _( "Season in between" ), _( "Holiday of the company" ) );
$apx_season_subtypes  = array( _( "Not specified" ), _( "High season" ), _( "Low season" ) );

// Typen von Gaestekarteieintraegen
$apx_entrytypes = array( _( "No type specified" ), _( "Customer" ), _( "Private" ), _( "Business" ), _( "Miscellaneous" ) );

// Buchungstypen, Gruppentypen
$apx_bookingtypes = array( _( "Family" ), _( "Party" ), _( "Individual" ) );
$apx_meals = array( _( "Not specified" ), _( "breakfast only" ), _( "half-board" ), _( "full-board residential" ), _( "no meals" ) );

// Zustand der Gastmeldung und Gaststatus
$apx_reporttypes  	= array( _( "Not registered yet!" ), _( "Already registered" ), _( "Registered and signed off" ) );
$apx_checktypes   	= array( _( "Prebooked" ), _( "Booking fixed" ), _( "checked in" ), _( "checked out" ) );
$apx_customerroles 	= array( 
	'HG' => _( 'Main customer to report' ),
	'MP' => _( 'Person travelling with' ),
	'KI' => _( 'Child' ),
	'RL' => _( 'Tourist guide' ),
	'RG' => _( 'Party' )
	);  

// Gaestearten fuer Ortstaxe, Gemeindespezifisch
// hier: p .. pflichtig (Erwachsene), f .. frei (Kinder),
//       e .. ermaessigt
$apx_guesttypes = array( 'p', 'f', 'e' );

// Instant Messenging Types
$apx_im_types = array(
    _( 'no' ),
    _( 'AOL Instant' ),
    _( 'Mirabilis ICQ' ),
    _( 'IRC' ),
    _( 'Jabber' ),
    _( 'MSN' ),
    _( 'Yahoo!' ),
    _( 'Other' )
    );

// Formate fuer den Export von Buchungen
$apx_exportformats = array(
    array( 'xml', _( 'JWT 2.0 Guest registration sheet (XML, Jet Web Touristik from Data Systems Austria)' ), _( 'regsheet_' ) ),
	array( 'xml', _( 'JWT 1.0 Guest registration sheet (XML, Jet Web Touristik from Data Systems Austria)' ), _( 'regsheet_' ) ),
    array( 'xml', _( 'WDDX (XML, Transfer between mg.applanix releases)' ), _( 'booking_' ) ),
    array( 'txt', _( 'ASCII-Text (to be used arbitrarily)' ), _( 'booking_' ) )
    );

// Spezielle Ankunftszeiten
$apx_times_of_arrival = array( _( "none" ), _( "early morning" ),
                               _( "morning" ), _( "lunchtime" ),
                               _( "afternoon" ), _( "evening" ),
                               _( "night" ) );
for( $i = 0; $i <= 23; $i++ )
    array_push( $apx_times_of_arrival, $i.':00', $i.':30' );

// Dringlichkeitsstufen fuer den Terminplaner
$apx_DatePriorities = array(
    1 => _( "Important" ),
    2 => _( "Normal" ),
    3 => _( "Not important" )
    );

// Buchhaltung: Kontotypen
$apx_bk_account_types = array( _( "none" ),
                               _( "Multipurpose" ),
                               _( "Special purpose" ) );

// Zuordnung von max. Planhoehen und Rechnungsfensterhoehen zu den Bildschirmaufloesungen
// bei Schriftgroesse 8
// Aufloesung, Zimmerplanhoehe, Rechnungsfensterhoehe, Vollbildbreite, Vollbildhoehe
$apx_plan_maxheights = array(
    array( "640 x 480",     70,  350,  640,  440 ),
    array( "800 x 600",     70,  400,  800,  550 ),
    array( "1024 x 768",    250, 600,  1024, 700 ),
    array( "1152 x 864",    350, 700,  1152, 800 ),
    array( "1280 x 800",    350, 600,  1280, 800 ),
    array( "1280 x 1024",   505, 900,  1280, 980 ),
    array( "1600 x 1200",   695, 1100, 1600, 1150 ),
    array( "1792 x 1344",   835, 1250, 1792, 1290 ),
    array( "1920 x 1200",   900, 1100, 1920, 1150)
    );

// Geschlechter fuer die Anrede bei Briefen
$apx_sex = array(
    0  => _( 'No opening specified' ),
    1  => 'Herr',
    2  => 'Frau',
    3  => 'Familie',
    4  => 'Fam.',
    5  => 'Hr.',
    6  => 'Fr.',
    7  => 'Frl.',
    8  => 'Sir',
    9  => 'Lady',
    10 => 'Herrn',
    11 => 'Mr.',
    12 => 'Mrs.',
    13 => 'Miss',
    14 => 'Mister',
    15 => 'Mistress',
    16 => 'Signor',
    17 => 'Signora',
    18 => 'Monsieur',
    19 => 'Madame',
    20 => 'Fraeulein',
    21 => 'Majesty',
    22 => 'Madam',
    23 => 'Monsignore',
    24 => 'weiblich',
    25 => 'm&auml;nnlich'
    );

$apx_billingmodes = array( 
	'html'			 => _( "bill for customer" ), 
	'selfuse' 		 => _( "bill for book keeping" ),
	'agency' 		 => _( "bill for travel agency (separate address!)" ),
	'prepaymentonly' => _( "bill for customer (prepayment only)" ),
	'guestcard'		 => _( "guest card" ),
	'guestinfo'      => _( "guest info sheet" )
	);

// Languages for the front-end user interface:
// individually controlled, thus based on apx-customisation
// e.g. customer forms, output data such as bills
$apx_languages_frontend = array( 
	'en' => _( 'English' ),
	'de' => _( 'German' )
	);

$apx_currencies = array(
	'EUR' => array( 'Euro', '&euro;' ),
	'USD' => array( 'US Dollar', '&dollar;' )
	);

// Languages for the back-end user interface: 
// OS/*AMP-stack controlled, thus gettext-based
// e.g. application interface
// [Bez. ISO/IEC 639-2] =>
// [Bez. ISO/IEC 3166] [Name des Landes] [gettext Ausgabezeichensatz ISO]
$apx_languages = array(
    'C'     => array( 'C',   'System (automatically)',     'ISO-8859-1' ),
    'de_AT' => array( 'dea', 'Deutsch (&Ouml;sterreich)',  'ISO-8859-1' ), // 'utf8'
    'de_DE' => array( 'deu', 'Deutsch (Deutschland)',      'ISO-8859-1' ),
    'en_US' => array( 'eng', 'English (Default)',          'ISO-8859-1' ),
    'fr_FR' => array( 'fra', 'Francaise (N/A)',            'ISO-8859-1' ),
    'it_IT' => array( 'ita', 'Italiano (N/A)',             'ISO-8859-1' ),
    'es_ES' => array( 'esp', 'Espanol (Castellano) (N/A)', 'ISO-8859-1' ),
    'nl_NL' => array( 'nld', 'Dutch',                      'ISO-8859-1' ),
    'ru_RU' => array( 'rus', 'Russian',                    'KOI8-R' ),
    // KOI8-R, oder auch ISO-8859-5 (Latin/Cyrillic) oder Windows-1251, jedoch andere Schriften und Zeichen (?)
    'lv_LV' => array( 'lav', 'Latvian',                    'ISO-8859-4' ),
    );

// Benoetigte PHP-Module fuer die Ausfuehrung von applanix
// [modulname][optional]
$aNeededModules = array(
    array( 'gettext', 0 ),
    array( 'mysqli',  0 ),
    array( 'odbc',    1 ),
    array( 'pgsql',   1 )
    );


// Fehlermeldungen
$apx_errors = array(
    0  => _( 'Your message could not be sent. Please verify your e-mail configuration.' ),
    1  => _( 'The applanix backup could not be run. Please check the accessability and existence of the backup directory.' ),
    2  => _( 'The database cannot be backed up, because the backup path has no been specified or applanix does not have any backup ability for the specified database system. In the former case, please, set up the backup path or try using another backup method.' ),
    3  => _( 'The length of the period to show is too large. This can cause problems with HTML tables. Please, specify a smaller period.' ),
    4  => _( 'The specified database system is not supported by this application.' ),
    5  => _( 'You have not choosen any recipients yet, thus, serial e-mails cannot be sent.' ),
    6  => _( 'The external mail client has not been started yet. An invalid e-mail address was given.' ),
    7  => _( 'The locales for the time and date formats could not be configured.' ),
    8  => _( 'No booking ID found! Cannot operate!' ),
    9  => _( 'The following booking could not be shown, because of overlappings with other bookings. Please correct the concerning dates to valid values.' ),
    10 => _( 'Invalid username, wrong password or your account has been disabled. Try it again or contact your system administrator respectively!' ),
    11 => _( 'You either do not have any authority to use this applanix functionality or this functionality does not exist. In the former case, you probably belong to a group, which has restricted access to the system.' ),
    12 => _( 'For some security reasons, you are not allowed to delete your own account. Be aware of the danger to lock the full access to the system if you are the only root administrator.' ),
    13 => _( 'Your applanix session has become invalid. You have probably been inactive too long. Please log in again!' ),
    14 => _( 'This format is not supported yet!' ),
    15 => _( 'A file with this name already exists. Please, choose another one!' ),
    16 => _( 'The system requirements for applanix cannot be met with the locally installed version of PHP. Please upgrade to a newer version.' ),
    17 => _( 'The PHP-connection to the database could no be established. There is either no database (connection) existing yet or the configuration is erroneous.' ),
    18 => _( 'A PHP module (*.so or *.dll) was not loaded. Please, change the PHP configuration to activate the following module: ' ),
    19 => _( 'Please, choose a valid output format.' ),
    20 => _( 'No booking was chosen. A bill can therefore not be generated!' ),
    21 => _( 'The PHP short-open-tags are not activated. Please, configure PHP to use applanix properly. Consult the file INSTALL to get a more detailed help.' ),
    22 => _( 'The configuration could not be created. Please, check the access rights.' ),
    23 => _( 'This functionality is to be implemented in one of the next releases of mg.applanix.' ),
    24 => _( 'Database error has occured. Details: ' ),
    25 => _( 'The form template could not be found. Changes to the database not possible.' ),
    );

// Mitteilungen
$apx_messages = array(
    0  =>_( 'Your message was sent successfully.' ),
    1  =>_( 'All mg.applanix data have been saved successfully.' ),
    2  =>_( 'There are no rooms left to show. Add new rooms to the database or enable some rooms to be shown.' ),
    3  =>_( 'Saving database. Please wait ...' ),
    4  =>_( 'Saving configuration. Please wait ...' ),
    5  =>_( 'Saving e-mails. Please wait ...' ),
    6  =>_( 'The external mail client has been started successfully.' ),
    7  =>_( 'The data has been exportet.  <a href=\"javascript:history.back()\">Back ...</a>' ),
    8  =>_( 'There is no user data left! Please, add new users to the database.' ),
    9  =>_( 'No items have been found according to the specified category!' ),
    10 =>_( 'PHP short-open-tags and PHP asp-tags are enabled!.' ),
    11 =>_( 'The following PHP module has been loaded successfully: ' ),
    12 =>_( 'The javascript in this browser is enabled.' ),
    13 =>_( 'Log out successful!' ),
    14 =>_( 'PHP ASP tags are disabled!' ),
    15 =>_( 'The application cannot be started yet, because of the configuration file missing. <strong>Please create a new (first) configuration with the form given below.</strong><br />This message is completely normal during the initial installation procedure, because there is no configuration existing yet.' ),
    16 =>_( 'This occupancy table provides ABSOLUTELY NO WARRANTY for completeness. Errors, changes or delayed updates are possible at any time!' )
    );

$apx_menu_items = array(
    1   => array( $apx_user_url, 'sym_homepage.gif', _( 'To the website of the company' ), '&nbsp;&nbsp;', 'target="_blank"' ),
    2   => array( 'javascript:print();', 'sym_print.gif', _( 'Print this page' ), '', '', '' ),
    3   => array( 'javascript:location.reload();', 'sym_refresh.gif', _( 'Refresh this page' ), '&nbsp;&nbsp;', '', '' ),
    4   => array( 'javascript:history.back();', 'sym_left.gif', _( 'Back' ), '', '', '' ),
    5   => array( 'javascript:history.forward()', 'sym_right.gif', _( 'Forward' ), '', '', '' ),
    6   => array( '#bottom', 'sym_down.gif', _( 'To the bottom' ), '', '', '' ),
    7   => array( '#top', 'sym_up.gif', _( 'To the top' ), '', '', '' ),

    10  => array( $apx_script.'?apx_a=plan', 'msym_plan.gif', _( 'Show reservation plan' ), '', '', _( 'Occupancy table' ) ),
    11  => array( $apx_script.'?apx_a=changeperiod', 'msym_period.gif', _( 'Change period of reservation table' ), '', '', '' ),
    12  => array( $apx_script.'?apx_a=searchfree', 'msym_searchfree.gif', _( 'Search for vacant rooms' ), '</td><td class="apx_controlbg">', '', _( 'Vacant rooms?' ) ),

    15  => array( $apx_script.'?apx_a=nextcustomers', 'msym_next_customers.gif', _( 'Customers to arrive soon' ), '', '', _( 'Arrival/Occupancy' ) ),
    16  => array( $apx_script.'?apx_a=customerdb', 'msym_customers.gif', _( 'Show customer file' ), '', '', _( 'Customer file' ) ),
    17  => array( $apx_script.'?apx_a=customer&do=i&backaction='.$apx_a, 'msym_new_customer.gif', _( 'Create new customer' ), '', '', _( 'Add customer' ) ),
    18  => array( $apx_script.'?apx_a=search&backaction='.$apx_a, 'msym_search.gif', _( 'Search for customers' ), '', '', _( 'Customer search' ) ),
    19  => array( $apx_script.'?apx_a=emaillist&backaction='.$apx_a, 'msym_email_list.gif', _( 'Generate list of all e-mail addresses, compose and send serial e-mail' ), '', '', '' ),
    20  => array( $apx_script.'?apx_a=customerpr&backaction='.$apx_a, 'msym_print_customers.gif', _( 'Generate address labels / export data' ), '</td><td class="apx_controlbg">', '', '' ),

    24  => array( $apx_script.'?apx_a=inquiry', 'msym_new_inquiry.gif', _( 'Compose inquiry' ), '', '', _( 'Compose inquiry' ) ),
    25  => array( $apx_script.'?apx_a=guestreg', 'msym_guestreg.gif', _( 'Report guest' ), '', '', _( 'Report guest' ) ),
    26  => array( $apx_script.'?apx_a=bookingdb', 'msym_bookings.gif', _( 'Show booking file' ), '', '', '' ),
    27  => array( $apx_script.'?apx_a=booking&do=i&backaction='.$apx_a, 'msym_new_booking.gif', _( 'Create new booking' ), '', '', _( 'Create booking' ) ),
    28  => array( $apx_script.'?apx_a=bookingdb&fc4=1', 'msym_inquiries.gif', _( 'List of current inquiries' ), '</td><td class="apx_controlbg">', '', _( 'Inquiries' ) ),

    30  => array( $apx_script.'?apx_a=datedb&backaction='.$apx_a, 'msym_dates.gif', _( 'Show date file' ), '', '', '' ),
    31  => array( $apx_script.'?apx_a=date&do=i&backaction='.$apx_a, 'msym_new_date.gif', _( 'Add new date' ), '</td><td class="apx_controlbg" colspan="2">', '', _( 'Add date' ) ),

    32  => array( $apx_script.'?apx_a=bk_accountdb&backaction='.$apx_a, 'msym_bk_accounts.gif', _( 'Show account file' ), '', '', _( 'Accounting management' ) ),
    33  => array( $apx_script.'?apx_a=bk_entrydb&backaction='.$apx_a, 'msym_bk_entries.gif', _( 'Show bookkeeping entry file' ), '', '', '' ),
    34  => array( $apx_script.'?apx_a=bk_entry&do=i&backaction='.$apx_a, 'msym_new_bk_entry.gif', _( 'Add new bookkeeping entry' ), '', '', _( 'Add bookkeeping entry' ) ),
    35  => array( $apx_script.'?apx_a=stats&backaction='.$apx_a, 'msym_stats.gif', _( 'Rental statistics' ), '</td><td class="apx_controlbg" colspan="2">', '', _( 'Rental statistics' ) ),

    50  => array( $apx_script.'?apx_a=adminmenu', 'msym_adminmenu.gif', _( 'Show applanix administration' ), '', '', '' ),

    60  => array( $apx_script.'?apx_a=help', 'msym_help.gif', _( 'Help' ), '', '', '' ),
    61  => array( $apx_script.'?apx_a=credits', 'msym_credits.gif', _( 'About mg.applanix' ), '', '', '' ),

    71  => array( 'javascript:apx_exit()', 'msym_exit.gif', _( 'Leave mg.applanix and close window' ), '', '' ),

    90  => array( $apx_script.'?apx_a=roomdb&backaction='.$apx_a, 'msym_rooms.gif', _( 'Show room file' ), '', '', _( 'Room administration' ) ),
    91  => array( $apx_script.'?apx_a=room&do=i&backaction='.$apx_a, 'msym_new_room.gif', _( 'Add new room' ), '', '', _( 'Add new room' ) ),
    92  => array( $apx_script.'?apx_a=objectdb&backaction='.$apx_a, 'msym_objects.gif', _( 'Show rental object file' ), '', '', _( 'Rental object management' ) ),
    93  => array( $apx_script.'?apx_a=object&do=i&backaction='.$apx_a, 'msym_new_object.gif', _( 'Add rental object' ), '', '', _( 'Add rental object' ) ),
    94  => array( $apx_script.'?apx_a=seasondb&backaction='.$apx_a, 'msym_seasons.gif', _( 'Show season file' ), '', '', _( 'Season management' ) ),
    95  => array( $apx_script.'?apx_a=season&do=i&backaction='.$apx_a, 'msym_new_season.gif', _( 'Define new season' ), '', '', _( 'Define new season' ) ),
    96  => array( $apx_script.'?apx_a=countrydb&backaction='.$apx_a, 'msym_countries.gif', _( 'Show country file' ), '', '', _( 'Country management' ) ),
    97  => array( $apx_script.'?apx_a=country&do=i&backaction='.$apx_a, 'msym_new_country.gif', _( 'Add new country' ), '', '', _( 'Add new country' ) ),
    98  => array( $apx_script.'?apx_a=editordb&backaction='.$apx_a, 'msym_editors.gif', _( 'Show system user file' ), '', '', _( 'User management' ) ),
    99  => array( $apx_script.'?apx_a=editor&do=i&backaction='.$apx_a, 'msym_new_editor.gif', _( 'Add system user' ), '', '', _( 'Add system user' ) ),

    100 => array( $apx_script.'?apx_a=bk_accountdb&backaction='.$apx_a, 'msym_bk_accounts.gif', _( 'Show account file' ), '', '', _( 'Accounting management' ) ),
    101 => array( $apx_script.'?apx_a=bk_account&do=i&backaction='.$apx_a, 'msym_new_bk_account.gif', _( 'Add new account' ), '', '', _( 'Add new account' ) ),

    102 => array( $apx_script.'?apx_a=config&backaction='.$apx_a, 'msym_config.gif', _( 'Show applanix configuration' ), '', '', _( 'System configuration' ) ),
    103 => array( $apx_script.'?apx_a=dbbackup&backaction='.$apx_a, 'msym_db_backup.gif', _( 'Backup database' ), '', '', _( 'Backup database' ) )
    );
?>
