<?php // $Id: dsp_bookings.php,v 1.4 2004/10/11 10:42:44 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) Mario Gleirscher                  					*
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Assumed context:
 * - app_globals.php  
 * - act_lib.php 
 * 
 * Required files:
 * - act_structs.php 
 *    
 * Parameter: $url_data_id (optional) fuer qry_bookings.php
 *  
 */

// @SECURITY
function_exists( 'apxGuard' ) ? 
	apxGuard( 'apx_root_path' ) : 
	exit( 'PHP interpretation stopped.' );


require_once( $apx_root_path."act_structs.php" );


// Wenn Liste bei Kundeneintrag angezeigt wird
if( $apx_a == 'customer' && isset( $url_data_id ) )
    $sCustomerParam = "&id=$url_data_id";
else
    $sCustomerParam = '';

// Struktur fuellen
$sSList = new APXSurveyList(
    'bookingdb', 'booking', $sCustomerParam, _( "Booking file" ),
    ( $apx_a == 'customer' && ( $s_subaction == 'u' || $s_subaction == 'd' ) ? false : true ),
    true, 'lastname', 'bookings', 'booking_id', 'qBookingData',
    ( $apx_a == 'bookingdb' ? 'qBookingCount' : '' )
    );

$sSList->initMessages(
    _( "There is no booking data available! Please, create new bookings using the programme menu." ),
    _( "Create new booking for this customer" )
    );

$sSList->enableMultiDel( 'bookings' );

$sSList->addFilterCrit( 'ac.lastname',   'fc2', 'str', 'sfilter_crit2', '--' );
$sSList->addFilterCrit( 'ab.room_id',    'fc1', 'num', 'sfilter_crit1', 0 );
$sSList->addFilterCrit( 'ab.persons',    'fc3', 'num', 'sfilter_crit3', '--' );
$sSList->addFilterCrit( 'ab.is_inquiry', 'fc4', 'bool', 'sfilter_crit4', '--' );

if( $apx_a == 'bookingdb' ) {
    $sSList->addColumn( _( 'Lastname' ),           'p', '<a href="[=apx_script=]?apx_a=customer&do=u&id=[(customer_id)]">[(lastname)]</a>&nbsp;' );
    $sSList->addColumn( _( 'Firstname' ),          's', 'firstname' );
}
$sSList->addColumn( _( 'Room (No.)' ), 'i', $apx_root_path.'dsp/dsp_bookings_col_1.php' );
$sSList->addColumn( _( 'Arrival' ),            'd', 'date_begin' );
$sSList->addColumn( _( 'Departure' ),          'd', 'date_end' );
$sSList->addColumn( _( 'Pers.' ),              's', 'persons' );
$sSList->addColumn( _( 'Plan' ),               'b', 'showit;'._( 'yes;no' ) );
$sSList->addColumn( _( 'Actions' ),            'i',  $apx_root_path.'dsp/dsp_bookings_col_2.php', 'apx_controlbg' );
$sSList->addColumn( _( 'Edit' ),               'e', '' );

require( $apx_root_path.'dsp/dsp_list.php' );

?>


